Subject: Re: [SWIPL] error: failed dependencies: libreadline.so.4 is needed

From: Jan Wielemaker <[email-masked]>
Date: Thu, 29 Nov 2001 08:42:46 +0100

> I'm trying to install SWI 4.0.10 in a RedHat 7.0 and I keep getting the
> error message:
> 
> error: failed dependencies:
>         libreadline.so.4 is needed by pl-4.0.10-63 
> 
> I've installed the newest realine rpms many times, I've analysed the
> symbolic links (they're OK) and it still doen't work. Could anyone give
> me a hint about how to solve it?
> 
> Sorry for coming up with an already discussed problem. But I couldn't
> solve it from the explanation given before. Anyother suggestion?

Readline versions are a nightmare, though light seems to glow at the horizon
as readline is being separated from bash.  If your liks are fine, the most
likely reason is that RPM doesn't know about them.  You can `correct' this
using 

	rpm -i --force pl-...rpm

Good chance it will work.  Otherwise you best install from the source.

	Regards --- Jan

P.s.	If there is somebody there willing to generate Redhat RPM's I'd
	be glad to hear about it.